Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.io
Class Display

    java.lang.Object
      jcontrol.io.AbstractGraphics
          jcontrol.io.Display

All Implemented Interfaces:
  Graphics

    public class Display

extends AbstractGraphics

Controls a dot-matrix display, e.g. a 128x64 pixels BW-LC-Display. Coordinates are from left to right and from top to bottom counting from 0 to size-1. Coordinates are from left to right and from top to bottom counting from 0 to size-1. There are only two colors: black (0 - default foreground) and white (1 - default background). The class is only for low-level graphics, just dots, lines and text, no sliders, buttons or windows.

Field Summary

Fields inherited from class jcontrol.io.AbstractGraphics
`NEGATIVE, OFF, ON, SYSTEMFONT`

Fields inherited from interface jcontrol.io.Graphics
`AND, INVERSE, NORMAL, OR, XOR`

Constructor Summary
`Display()` Constructs the `Display` object, the display is initialized and can be accessed.

Method Summary
`protected void` | `finalize()` Free internal data structures used by this display object.

Methods inherited from class jcontrol.io.AbstractGraphics
`clearDisplay, clearRect, drawChar, drawImage, drawImage, drawLine, drawRect, drawString, drawString, fillRect, getDrawMode, getFontHeight, getPixel, getTextWidth, scroll, setBackground, setColor, setDisplayMode, setDrawMode, setFont, setPixel`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Constructor Detail

### Display

    public Display()

  Constructs the `Display` object, the display is initialized and can be accessed.
  Currently there is only one display controllable by JControl so only one instance is possible.

Method Detail

### finalize

    protected void finalize()

  Free internal data structures used by this display object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD